Font::TTF::EBDT(3)

NAME
Font::TTF::EBDT - Embeeded Bitmap Data Table

DESCRIPTION
Contains the metrics and bitmap image data.

INSTANCE VARIABLES
Only has 'bitmap' instance variable. It is an array of assosiative array keyed by glyph-id. The element is an object which consists of metric information and image data.

bitmap object
    format
        Only 7 is supported.

    height
    width
    horiBearingX
    horiBearingY
    horiAdvance
    vertBearingX
    vertBearingY
    vertAdvance
    imageData

METHODS

  $t->read
Reads the embedded bitmap data from the TTF file into memory. This routine should be called _after_ {'EBLC'}->read.

  $t->update
Update EBLC information using EBDT data.

  $t->out($fh)
Outputs the bitmap data of embedded bitmap for this font.

BUGS
Only Format 7 is implemented. XML output is not supported (yet).

AUTHOR
NIIBE Yutaka <mailto:gniibe@fsij.org>. This was written at the CodeFest Akihabara 2006 hosted by FSIJ.

?? patch sent with licensing requirements or not?

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.